# Default values for dbod-operator.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

nameOverride: ""
fullnameOverride: ""

operatorNamespace:
  create: true
  name: ""

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name:

imagePullSecret:
  create: true
  registry: "gitlab-registry.cern.ch"
  username:
  password:

image:
  name: "gitlab-registry.cern.ch/drupal/paas/dbod-operator"
  tag: "latest"
  pullPolicy: "Always"

# Which namespace will the operator watch? Leave empty to watch all namespaces,
# as intended in a cluster-scoped operator such as this.
watchNamespace: ""

# Names for the CRD
crd:
  group: "dbod.cern"
  kind: "DBODRegistration"
  singular: "dbodregistration"
  plural: "dbodregistrations"
  shortNames:
    - "dbodreg"

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

